Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514404 - Should display consistently the obfuscation of all fields and reveal image secret well from "View Details" in Environment tab
Summary: Should display consistently the obfuscation of all fields and reveal image se...
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 10:31 UTC by Xingxing Xia
Modified: 2018-01-25 22:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Xingxing Xia 2017-11-17 10:31:29 UTC
Description of problem:
This bug is reported for the issue in https://bugzilla.redhat.com/show_bug.cgi?id=1506998#c17 . The reason opening separate this bug is: https://bugzilla.redhat.com/show_bug.cgi?id=1506998#c22 . Sorry for the mess, if ever :)

--- Additional comment from Xingxing Xia on 2017-11-09 15:52 CST ---

Hmm, today found minor inconsistency issue that may relate to this fix, so continue here. The issue has 2 parts
a) In _secret_ page, for most secrets, before clicking "Reveal Secret", _all_ keys' values are obfuscated, no matter whether the key is "password" or not.
But image secret is not consistent with this, NOT _all_ are obfuscated, i.e.:
$ oc secret new-basicauth --username user1 --password pass1 src-secret
$ oc secret new mulkey-secret data1=data1.txt data2=data2.txt
$ oc secret new-dockercfg --docker-server=registry.abc.com --docker-username user1 --docker-password pass1 --docker-email=unused img-secret # old .dockercfg format image secret created from "Create Secret" page has same issue

For secrets mulkey-secret, src-secret, all keys' values are obfuscated, for image secret, only "password" is, but remaining values are not

2) In DC page's Environment tab, select a secret under "Environment From", click View Details --> Reveal Secret. The resulting display of image secret is inconsistent with most secrets, i.e.:
$ oc secret new longvalue-secret data=/home/xxia/.kube/config
For longvalue-secret, value is shown well, but for image secret, value is shown [object Object], see attachment

Sorry for bothering, please check, thank you

--- Additional comment from Jakub Hadvig on 2017-11-09 22:01:43 CST ---

I've can reproduce the bug in the DC's Environment tab.
On it will send the fix asap.

--- Additional comment from openshift-github-bot on 2017-11-15 21:40:56 CST ---

Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/467905c3ca07781360f373ac153b991d0df8aef5
Bug 1506998 - DC's environment tab not showing image secrets properly

https://github.com/openshift/origin-web-console/commit/e006275a8309b554a7b21c9e6d83f36e8b24702a
Merge pull request #2495 from jhadvig/BZ_1506998

Automatic merge from submit-queue.

Bug 1506998 - DC's environment tab not showing image secrets properly

Image secrets of `kubernetes/dockercfg` and `kubernetes/dockerconfigjson` havent been shown properly on the DC's environment tab.

Screen:
![dc_page 1](https://user-images.githubusercontent.com/1668218/32627180-e448e91c-c591-11e7-8d33-8fd1b20d0bf7.png)


After fix:
![dc_page](https://user-images.githubusercontent.com/1668218/32627189-e929eb0c-c591-11e7-8071-1a0c078c63be.png)


@spadgett PTAL

--- Additional comment from Xingxing Xia on 2017-11-16 16:18:46 CST ---

Checked both latest v3.7.9 and v3.8.0-0.1.0 don't include the PR. Moving to MODIFIED for test when version includes it.
Due to the issue before comment 16 is fixed and the issue after comment 17 is  minor, lowering the severity

Comment 1 Jessica Forrester 2017-11-17 15:35:30 UTC
I don't think we have resolved the inconsistency with some fields being visible.  It was designed that way intentionally originally before we support showing all Secret types. We need to revisit these pages in general and make them consistent.


Note You need to log in before you can comment on or make changes to this bug.